## ros-indigo-nao-teleop 0.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(nao_teleop)

# List C++ dependencies on ros packages
set( ROS_CXX_DEPENDENCIES
    naoqi_bridge_msgs
    roscpp
    std_msgs
    sensor_msgs
    actionlib)

# Find catkin and all ROS required packages
find_package(catkin REQUIRED COMPONENTS ${ROS_CXX_DEPENDENCIES})

# Set include and linking directories
include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

# Declare info that other packages need to import library generated here
catkin_package(
    INCLUDE_DIRS include
    LIBRARIES ${PROJECT_NAME}
    CATKIN_DEPENDS ${ROS_CXX_DEPENDENCIES})
  
#Create target nao_teleop library
add_library(${PROJECT_NAME} src/teleop_nao_joy.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} )
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})

#Create nao_teleop_node binary
add_executable(teleop_nao_joy src/teleop_nao_joy_node.cpp)
target_link_libraries(teleop_nao_joy ${PROJECT_NAME} ${catkin_LIBRARIES})
add_dependencies(teleop_nao_joy ${catkin_EXPORTED_TARGETS})

# Installation instructions for library
install(TARGETS ${PROJECT_NAME}
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

# Installation instructions for library's include
install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION} )

# Installation instructions for binary
install(TARGETS teleop_nao_joy
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION} )

# Install launch files
install(DIRECTORY launch/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch )

# Install config files
install(DIRECTORY config/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config)

=== debian/changelog ===
ros-indigo-nao-teleop (0.3.1-1trusty) trusty; urgency=high

  * publish only when move not zero
  * Contributors: Karsten Knese

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 10 Aug 2015 22:00:00 -0000

ros-indigo-nao-teleop (0.3.0-1trusty) trusty; urgency=high

  * get code to use naoqi_bridge_msgs and not naoqi_msgs
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 30 Jul 2015 22:00:00 -0000

ros-indigo-nao-teleop (0.2.2-1trusty) trusty; urgency=high

  * comply to the new naoqi organization
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 12 Nov 2014 23:00:00 -0000

ros-indigo-nao-teleop (0.2.1-1trusty) trusty; urgency=high

  * Fix package.xml files
  * Catkinization of nao_extras, based on commit cb7aedce3c7a3ea3391319f0b7e9aeb78ed13233
  * Contributors: Armin Hornung

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Sat, 06 Sep 2014 22:00:00 -0000

ros-indigo-nao-teleop (0.2.0-1trusty) trusty; urgency=high

  * Drop nao_teleop support for old versions of ROS, no more "using..." in header
  * nao_teleop: remove dependency on nao_remote
  * Moved nao_teleop's yaml file to config dir
  * Drop nao_teleop support for old versions of ROS
  * Contributors: Armin Hornung, Miguel Sarabia

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Fri, 25 Oct 2013 22:00:00 -0000

ros-indigo-nao-teleop (0.1.0-1trusty) trusty; urgency=high

  * callBodyPoseClient offers interface to executing poses in nao_teleop (feature req. #4 <https://github.com/ros-nao/nao_extras/issues/4>)
  * added nao_teleop namespace, ROS CPP style formatting
  * Applied patch from request #3 <https://github.com/ros-nao/nao_extras/issues/3>: Restructure of nao_teleop to allow reuse via subclasses (thx to Nick Hawkes)
  * fixes in nao_common teleop and pose_manager: check if action servers available, timeout
  * nao_teleop: Adapted launch files to new package structure
  * new package nao_teleop for teleoperation (moved from nao_remote)
  * Contributors: Armin Hornung, Stefan Osswald

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Mon, 29 Jul 2013 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-nao-teleop
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-naoqi-bridge-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs
Homepage: http://ros.org/wiki/nao_remote
Standards-Version: 3.9.2

Package: ros-indigo-nao-teleop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-joy, ros-indigo-naoqi-bridge-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs
Description: Teleoperation (gamepad or joystick) for the Nao humanoid

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-nao-teleop//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
